Package org.springframework.security.access.event

# Class AuthenticationCredentialsNotFoundEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.access.event.AbstractAuthorizationEvent
org.springframework.security.access.event.AuthenticationCredentialsNotFoundEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated public class AuthenticationCredentialsNotFoundEvent extends AbstractAuthorizationEvent
Deprecated.
Authentication is now separated from authorization. Consider `AbstractAuthenticationFailureEvent` instead.
Indicates a secure object invocation failed because the `Authentication` could not be obtained from the `SecurityContextHolder`.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCredentialsNotFoundEvent(Object secureObject, Collection<ConfigAttribute> attributes, AuthenticationCredentialsNotFoundException credentialsNotFoundException)`
Deprecated.
Construct the event.

## Method Summary

Modifier and Type
Method
Description
`Collection<ConfigAttribute>`
`getConfigAttributes()`
Deprecated.
`AuthenticationCredentialsNotFoundException`
`getCredentialsNotFoundException()`
Deprecated.

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationCredentialsNotFoundEvent

public AuthenticationCredentialsNotFoundEvent(Object secureObject, Collection<ConfigAttribute> attributes, AuthenticationCredentialsNotFoundException credentialsNotFoundException)
Deprecated.
Construct the event.

Parameters:
  `secureObject` - the secure object
  `attributes` - that apply to the secure object
  `credentialsNotFoundException` - exception returned to the caller (contains reason)

## Method Details

### getConfigAttributes

public Collection<ConfigAttribute> getConfigAttributes()
Deprecated.

### getCredentialsNotFoundException

public AuthenticationCredentialsNotFoundException getCredentialsNotFoundException()
Deprecated.